# Jaxer.SessionManager : Object
Return to: Jaxer Framework index

A namespace object holding functions and members used to manage a user session across multiple requests.

## Platform Support

Jaxer Server Framework | Jaxer Client Framework
--- | ---
1.0 | no

## Functions

Method | Action | Jaxer Server Framework | Jaxer Client Framework
--- | --- | --- | ---
static keyFromRequest(String appKey) : String Get session key from the client via cookie, or create one as needed (Advanced) | Show Details | 1.0 | no

Parameters

String | appKey | The key that uniquely identifies the current application

Returns

String | A session key that can be used to track the current session (new or existing)

static keyToResponse(String appKey, String key) : void Set session key on the response to the client via a cookie (Advanced) | Show Details | 1.0 | no

Parameters

String | appKey | The key that uniquely identifies the current application
String | key | The session key to use

aptana_docs